<template>
    <nav>
        <!-- <nuxt-link to="/">Home</nuxt-link>
        <nuxt-link to="categories">Categories</nuxt-link>
        <nuxt-link to="products">Products</nuxt-link>
        <nuxt-link to="contact">Contact</nuxt-link> -->

        <header class="shadow-sm">
        <nav class="border-bottom big-screen">
            <div class="container">
                <div class="row">
                    <div>
                        <ul class="d-flex align-items-center justify-content-between py-2">
                            <li><i class="bi bi-telephone"></i> &nbsp;+855 10878206</li>
                            <li>| Account |</li>
                        </ul>
                    </div>
                </div>
            </div>
        </nav>
        <nav class="big-screen">
            <div class="container">
                <div class="row py-3">
                
                    <div class="col-4">
                        <h4 class="m-0 d-flex align-items-center m-0 p-0">Onic Techonology</h4>
                    </div>
                    <div class="col-8">
    
                        <div class="right-menu d-flex align-items-center justify-content-between">
                            <ul class="d-flex align-items-center">
                                <li>
                                  <nuxt-link to="/">HOME</nuxt-link>
                                </li>
                                <li>
                                    <nuxt-link to="categories">CATEGORIES</nuxt-link>
                                </li>
                                <li>
                                  <nuxt-link to="products">PRODUCTS</nuxt-link>
                                </li>
                                <li>
                                  <nuxt-link to="contact">CONTACT US</nuxt-link>
                                </li>
                            </ul>
                            <div>
                                <form action="" autocomplete="off">
                                    <input autocomplete="off" type="text" style="width: 230px;" placeholder="looking for ...." class="rounded border p-2">
                                    <button class="border-0 rounded p-2 px-3">Search</button>
                                </form>
                            </div>
                        </div>
                    </div>
    
                </div>
            </div>
        </nav>


        <!-- mobile -->
        <nav class="mobile p-2 py-3">
            <div class="container">
                <div class="row">
                    <div class="col-8">
                        Onic Techonology
                    </div>
                    <div class="col-4">
                        <div style="text-align: right;"> 
                            <div class="d-flex justify-content-end navbar-icon">
                                <button  onclick="openSearch()" style="margin-right: 5px;" class="border-0 bg-white p-"><i class="bi bi-search d-block"></i></button> 
                            <!-- Button trigger modal -->
                                <button type="button" class="border-0 bg-white rounded p-0" data-bs-toggle="modal" data-bs-target="#exampleModal">
                                    <i class="bi bi-person-lines-fill"></i>
                                </button>
                            </div>
                            
                            
                            <!-- Modal -->
                            <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Sign In To Your Account</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <div style="text-align: left;">
                                            <label for="">Username</label>
                                            <input type="text" placeholder="Username" class="p-2 form-control"> <br>
                                            
                                            <label for="">Password</label>
                                            <input type="password" placeholder="Password" class="p-2 form-control">
                                        </div>

                                        <div class="social-login mt-5">
                                            <div>May Also Sign In With</div> <br>
                                            <i class="bi bi-facebook" style="color: #0765ff;"></i>
                                            <i class="bi bi-instagram mx-3" style="color: #7c40b9;"></i>
                                            <i class="bi bi-google" style="color: #33a852"></i>
                                        </div>
                                    </div>
                                    <div></div>
                                    <div class="modal-footer">
                                    <button type="button" class="btn btn-primary border btn-sm login-btn" style="background-color: #222734; font-size: 16px;">Sign In &nbsp; <i class="bi bi-box-arrow-right"></i></button>
                                    </div>
                                </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </nav>
    </header>
    </nav>
</template>
  
<script>
export default {
    
// Your component logic here
}
</script>
<style>
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.2/font/bootstrap-icons.min.css");
/* @import url('https://fonts.googleapis.com/css2?family=Exo+2&family=Hanuman&family=Raleway:wght@600&display=swap'); */

/* global */
*{
    font-family: 'Raleway';
    font-size: 13px;
}
.mobile{
    display: none;
}
.mobile-bottom-bar{
    display: none;
}
:root{
    ---color--dark: #1f2937;
}
ul{
    padding: 0px;
    margin: 0px;
}
body{
    background-color: #f2f3f8;
}
.grey-color-text{
    color: rgb(130, 123, 123);
}
img{
    object-fit: cover;
    object-position: left;
    object-position: top;
}


/* header */
nav ul{
    list-style-type: none;
}
nav ul li a{
    display: block;
    text-decoration: none;
    color: black;
    padding: 5px 10px;
    font-weight: 600 !important;
}
nav ul li a:nth-child(1){
    padding-left: 0px !important;
}
header{
    position: sticky;
    top: 0px;
    z-index: 99999999;
    background-color: white;
}
.right-menu{
    height: 100%;
}
.search-field{
    width: 200px;
}
header h4{
    font-weight: bold !important;
    height: 100%;
}


/* marquee */
marquee{
    padding: 10px 0px;
    font-size: 14px;
}


/* slide */
.carousel-item img{
    height: 500px !important;
}

.main-thumbnail-title{
    background-color: #1f2937;
    color: white;
    font-size: 20px;
}
.carousel-caption h5, .carousel-caption p{
    text-align: left;
    color: black;
}
.carousel-caption h5{
    font-size: 30px;
}
.carousel-caption {
    left: 5%;
    top: 10% !important;
    width: 200px;
    font-weight: bold;
}
.categories .col-1 div{
    background-color: white;
    text-align: center !important;
}
.categories .col-1 img{
    height: 60px;
    margin-bottom: 8px;
}
.thumbnail-categories{
    color: #dc9a74;
}
.thumbnail-price{
    color: #2b2b2d !important;
}
.card{
    transition: 0.3s;
}
.card:hover{
    transform: scale(1.02);
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}
.card:hover .option-product{
    right: 10px;
}
.card img{
    height: 250px;
    object-fit:contain;
    object-position: center;
}
.card-container a{
    text-decoration: none;
    color: black;
}
.container-thumbnail-card{
    border-radius: 5px;
}
.promote-box{
    position: absolute;
    width: 120px;
    left: -40px;
    padding: 8px;
    color: white;
    background-color: #9d2222;
    transform: rotate(-50deg);
    text-align: center;
}
.card{
    overflow: hidden;
    position: relative;
}

.slide-latest img{
    object-fit: contain;
    object-position: center !important;
}
.latest-product ul{
    list-style-type: none;
}
.more-product-latest{
    color: #dc9a74;
}

footer{
    background-color: #222734;
    color: white;
}
footer .big-screen-footer a{
    color: rgb(209, 197, 197);
    text-decoration: none;
    display: block;
    font-size: 16px;
    padding: 10px 5px;
    
}
footer ul{
    list-style-type: none;
}
footer .big-screen-footer a:hover{
    color: white !important;
}
footer .big-screen-footer a:hover i{
    margin-right: 10px;
}
footer .big-screen-footer a i{
    transition: 0.3s;
}

.mobile .col-8{
    font-size: 17px !important;
}
.mobile .col-4 button{
    font-size: 17px !important;
    color: black;
}
.mobile-bottom-bar ul li a{
    color: black;
    display: block;
    text-align: center;
}
.mobile-bottom-bar ul li a div{
    font-size: 10px !important;
}
.mobile-bottom-bar ul li a i{
    font-size: 18px;
    display: block;
    margin-bottom: 3px !important;
}
.login-btn{
    background-color: #9d2222;
    color: white !important;
}

#search-dark{
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.794);
    position: fixed;
    top: -100%;
    z-index: 99999999;
    left: 0px;
    transition: 0.3s;
    display: flex;
    opacity: 0;
    align-items: center;
    justify-content: center;
}
#search-dark input{
    border-bottom: 1px solid white !important;
    background-color: rgba(0, 0, 0, 0) !important;
    color: white;
}
#search-dark input::placeholder {
    color: white;
    opacity: 1; /* Firefox */
}
.navbar-icon i{
    font-size: 20px !important;
}
.social-login{
    text-align: center;
}
.social-login i{
    font-size: 30px;
}
.btn-search{
    color: white;
    margin-left: 10px;
    padding: 13px;
    border: 1px solid white;
    background: none;
}
.mobile-bottom-bar ul li a:active{
    color: black !important;
}
.mobile-bottom-bar ul li a:hover{
    color: black;
}
.mobile-bottom-bar ul li i{
    font-size: 18px !important;
}
.img-cateogires div img{
    height: 200px !important;
    object-fit: contain !important;
}
.categories-page .col-3{
    margin-bottom: 20px;
}
.title-category-page{
    font-size: 20px !important;
}
.categories-page a{
    color: black;
    text-decoration: none;
}
.img-cateogires img{
    transition: 0.3s;
}
.img-cateogires:hover img{
    transform: scale(0.9);
}
.title-category-page{
    margin-top: 20px;
}
.option-product{
    right: -100px;
    transition: 0.3s;
    top: 10px;
}
.option-product button{
    border-radius: 5px;
    border: none;
    padding: 5px 10px;
    margin-bottom: 10px;
    margin-right: 0px;
}
.filtering .col-2{
    padding: 10px;
}
.mobile-bottom-bar a:active{ 
    color: black !important;
    margin-bottom: 0px !important;
    margin-right: 0px;

}
.mobile-bottom-bar a{
    text-decoration: none;
    display: block;
    padding: 6px;
    font-size: 20px !important;
}
.mobile-bottom-bar a:hover{
    color: black !important;
    margin-right: 0px;
}
.mobile-bottom-bar a i:hover{
    margin-right: 0px;

}
.mobile-bottom-bar a i{
    margin-right: 0px;
    padding: 0px !important;
}
.mobile-bottom-bar a i:active{
    margin-right: 0px;
}
.mobile-margin{
    margin-top: 39px;
}
.mobile-menu-categories{
    display: none;
}
.categories a{
    color: black;
    text-decoration: none;
}
/*responsive code*/
/*mobile phone*/
@media (max-width: 575px) {
    .col-5 , .col-7{
        width: 100%;
    }
    #search-dark{
        display: block;
    }
    .big-screen{
        display: none;
    }
    .carousel-item img{
        height: 200px !important;
        object-fit: cover;
    }
    .mobile{
        display: block !important;
    }
    .mobile-slide{
        margin-top: 0px !important;
        padding: 0px;
    }
    .col-1{
        width: 33%;
        margin-bottom: 16px;
    }
    .col-1 img{
        object-fit: contain;
        height: 100px !important;
    }
    .col-2{
        width: 50%;
        margin-bottom: 16px;
    }
    .col-6{
        width: 100%;
    }
    .col-2 img{
        height: 200px;
    }
    .col-6 .carousel-item img{
        height: 400px !important;
    }
    .latest-product{
        padding: 16px !important;
    }
    .col-4-2{
        width: 100%;
    }
    .big-screen-footer{
        display: none;
    }
    footer{
        color: black;
        background-color: white;
    }
    .mobile-bottom-bar{
        display: block;
        position: fixed;
        bottom: 0px;
        left: 0px;
        background-color: white;
        width: 100%;
        box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;

    }
    .google-map{
        margin-top: 16px;
    }
    .categories-page .col-3{
        width: 50%;
    }
    .img-cateogires div img{
        height: 100px !important;
    }
    .breadcrumb-mobile{
        margin: 10px 0px !important;
        margin-top: 20px !important;
    }
    .categories-page .img-cateogires{
        border-radius: 7px !important;
    }
    .map-home-screen{
        display: none !important;
    }
    .latest-product-home{
        margin-bottom: 100px !important;
    }
    footer a i {
        margin: 0px !important;
    }
    .mobile-margin{
        margin-top: 12px !important;
    }
    .mobile-turn-off-cateogires{
        display: none;
    }
    .col-9{
        width: 100%;
    }
    .mobile-menu-categories{
        display: block;
    }
}


/*ipad*/
@media (min-width: 768px) and (max-width: 991px) {
    
} 

/*ipad pro*/
@media (min-width: 992px) and (max-width: 1199px) {
    
} 

/*laptop*/
@media (min-width: 1200px)  {
    
}
</style>
  